<?php

namespace App\Event\Object;

use App\Entity\Account;

class EventAdminCreate
{
    private Account $account;
    private Account $requestedAccount;

    public function __construct(Account $account,Account $requestedAccount)
    {
        $this->account = $account;
        $this->requestedAccount = $requestedAccount;
    }

    /**
     * @return Account
     */
    public function getAccount(): Account
    {
        return $this->account;
    }

    public function getRequestedAccount()
    {
        return $this->requestedAccount;
    }
}
